## gnome-shell-extensions 42~rc

=== meson_options.txt ===
option('extension_set',
  type: 'combo',
  choices: ['classic', 'default', 'all'],
  value: 'default',
  description: 'Predefined sets of extensions'
)

option('enable_extensions',
  type: 'array',
  value: [],
  description: 'Comma separated list of extensions to enable instead of a predefined set.'
)

option('classic_mode',
  type: 'boolean',
  value: false,
  description: 'Enable installing data files for classic mode.'
)

## gnome-shell-extensions 3.2.0

=== debian/changelog ===
gnome-shell-extensions (3.2.0-1) experimental; urgency=low

  [ Victor Seva ]
  * Initial release (Closes: #627515)
    Package based on the work by Bilal Akhtar <bilalakhtar@ubuntu.com>
  * debian/copyright
    - Added myself
    - Fixed syntax-error-in-dep5-copyright syntax error
  * debian/control.in
    - Added myself as maintainer.
    - Fix gnome-shell dependency.
    - Fix gir1.2-gtop-2.0 dependency for systemMonitor ext.
  * debian/rules
    - Added uploaders.mk gnome-version.mk includes.
    - Removed unused variables.
  * debian/watch added.
  * No more gnome-shell-extension-* packages.
  * debian/patches/upstream
    - patch_967aee7aad2accfb38d91ab56b6c5e91d86a2722.diff
      popup menu fix
    - patch_66242aa76a5d59fb4659551575c1fbb42e50b8fb.diff
      dock fix.
    - patch_4c5a36e4c0cbe38f2e26b6b3c8b02e88b4b939f7.diff
      patch_2bba98d6214cffae2eb5cecb9d7c1f6b6d244052.diff
      systemMonitor: Properly enable/disable
  * debian/patches
    - fix_dock_gnome-shell_version.diff
    - fix_alternate-tab_661281.diff
    - fix_alternate-tab_gnome-shell_version.diff
  * debian/rules
    - EXTENSIONS_ENABLED, EXTENSIONS_DISABLED variables
    - disabled xrandr-indicator

  [ Michael Biebl ]
  * debian/watch: Track .xz tarballs.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer and add
      Victor Seva <linuxmaniac@torreviejawireless.org> to Uploaders.
    - Wrap (Build-)Depends.
    - Add Vcs-Svn and Vcs-Browser field.
  * debian/rules:
    - Include gnome-get-source.mk.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 18:32:22 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-shell-extensions
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               cdbs,
               gnome-pkg-tools,
               intltool,
               libgnome-desktop-3-dev (>= 3.2.0),
               libgtop2-dev (>= 2.28.3)
Standards-Version: 3.9.2
Homepage: http://live.gnome.org/GnomeShell/Extensions
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/experimental/gnome-shell-extensions
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/gnome-shell-extensions

Package: gnome-shell-extensions
Architecture: all
Depends: ${misc:Depends},
         gnome-shell (>= 3.2.0),
         gir1.2-gtop-2.0
Description: Extensions to extend functionality of GNOME Shell (common files)
 The GNOME Shell redefines user interactions with the GNOME desktop. In
 particular, it offers new paradigms for launching applications,
 accessing documents, and organizing open windows in GNOME. Later, it
 will introduce a new applets eco-system and offer new solutions for
 other desktop features, such as notifications and contacts management.
 The GNOME Shell is intended to replace functions handled by the GNOME
 Panel and by the window manager in previous versions of GNOME. The GNOME
 Shell has rich visual effects enabled by new graphical technologies.
 .
 GNOME Shell is extensible using extensions. This package contains
 official GNOME Shell extensions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

EXTENSIONS_ENABLED="alternate-tab auto-move-windows workspace-indicator\
 alternative-status-menu dock gajim native-window-placement user-theme\
 apps-menu drive-menu places-menu windowsNavigator systemMonitor"
EXTENSIONS_DISABLED="xrandr-indicator"

DEB_CONFIGURE_EXTRA_FLAGS := --enable-extensions=$(EXTENSIONS_ENABLED)

## gnome-shell-extensions 3.2.3

=== debian/changelog ===
gnome-shell-extensions (3.2.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * gnome-shell-extensions.gsettings-override: enable the alternative 
    status menu by default. Closes: #648112.
  * Use ${gnome:Version} to generate strict dependencies, it’s very 
    unlikely that extensions remain compatible after a major upgrade.

  [ Michael Biebl ]
  * Upload to unstable.

  [ Josselin Mouette ]
  * 01_status-menu_disable_accounts.patch: new patch. Drop the unusable
    advertisement for Google. It is already available in the control 
    center anyway.

  [ Michael Biebl ]
  * New upstream release.
  * Drop patches which have been merged upstream:
    - debian/patches/upstream/*
    - debian/patches/fix-*
  * Refresh 01_status-menu_disable_accounts.patch.
  * Add 02-Revert-all-remove-all-GSettings-usage.patch: Use GSettings since we
    install the extensions system-wide.
  * Use dh-autoreconf to generate the build system.
  * Add 03-Revert-Remove-all-references-to-localedir-from-metad.patch: Use
    locales from system-wide location.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Feb 2012 23:28:53 +0100

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,24 @@
 Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                cdbs,
+               dh-autoreconf,
+               gnome-common,
                gnome-pkg-tools,
                intltool,
                libgnome-desktop-3-dev (>= 3.2.0),
                libgtop2-dev (>= 2.28.3)
 Standards-Version: 3.9.2
 Homepage: http://live.gnome.org/GnomeShell/Extensions
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/experimental/gnome-shell-extensions
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/gnome-shell-extensions
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/gnome-shell-extensions
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions
 
 Package: gnome-shell-extensions
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.2.0),
+         gnome-shell (>= ${gnome:Version}),
+         gnome-shell (<< ${gnome:NextVersion}),
          gir1.2-gtop-2.0
-Description: Extensions to extend functionality of GNOME Shell (common files)
+Description: Extensions to extend functionality of GNOME Shell
  The GNOME Shell redefines user interactions with the GNOME desktop. In
  particular, it offers new paradigms for launching applications,
  accessing documents, and organizing open windows in GNOME. Later, it

## gnome-shell-extensions 3.4.0

=== debian/changelog ===
gnome-shell-extensions (3.4.0-0ubuntu1) quantal; urgency=low

  * New upstream release, compatible with current version of gnome-shell.
  * debian/watch:
    - Switch to alternate tarball source, kindly provided by Gentoo. Upstream
      no longer provides tarballs on gnome.org, despite still tagging in git.
  * Disable 01_status-menu_disable_accounts.patch, no longer needed.
  * Disable 02-Revert-all-remove-all-GSettings-usage.patch, GSettings now
    restored upstream.
  * Disable 03-Revert-Remove-all-references-to-localedir-from-metad.patch,
    no longer needed.
  * This disables all Debian patches. They are still left in the debian/patches
    directory to minimize the delta.
  * Disable dh_autoreconf. This tarball provides a configure script.

 -- Maia Kozheva <sikon@ubuntu.com>  Fri, 11 May 2012 02:46:59 +0700

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                cdbs,
-               dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
                intltool,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
+include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

=== debian/watch ===
version=3
http://dev.gentoo.org/~tetromino/distfiles/gnome-shell-extensions/gnome-shell-extensions-([\d\.]+)\.tar\.xz

## gnome-shell-extensions 3.5.2

=== debian/changelog ===
gnome-shell-extensions (3.5.2-0ubuntu1) quantal; urgency=low

  * Resynchronize with Debian. Remaining change:
    - New upstream version. (LP: #1017979)
    - debian/patches/01_update-version-numbers.patch:
      - Bump GNOME Shell compatibility version to 3.5.4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 18 Jul 2012 09:10:15 -0400

gnome-shell-extensions (3.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2012 13:22:54 +0200

gnome-shell-extensions (3.4.0-1) experimental; urgency=low

  * New upstream release.
  * Remove 01_status-menu_disable_accounts.patch: The alternative-status-menu
    extension no longer recreates the complete user menu but reuses the one
    from gnome-shell, so we can't easily get rid of the "Online Accounts" menu
    entry. We will patch gnome-shell directly instead.
  * Remove 02-Revert-all-remove-all-GSettings-usage.patch and
    03-Revert-Remove-all-references-to-localedir-from-metad.patch, no longer
    required.
  * Bump Standards-Version to 3.9.3

 -- Michael Biebl <biebl@debian.org>  Mon, 21 May 2012 00:24:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,16 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                cdbs,
+               dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
                intltool,
                libgnome-desktop-3-dev (>= 3.2.0),
                libgtop2-dev (>= 2.28.3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://live.gnome.org/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/gnome-shell-extensions
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
@@ -11,4 +12,6 @@
  apps-menu drive-menu places-menu windowsNavigator systemMonitor"
 EXTENSIONS_DISABLED="xrandr-indicator"
 
+DEB_DH_AUTORECONF_ARGS := ./autogen.sh
+
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-extensions=$(EXTENSIONS_ENABLED)

## gnome-shell-extensions 3.5.5

=== debian/changelog ===
gnome-shell-extensions (3.5.5-0ubuntu1) quantal; urgency=low

  * New upstream version.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Aug 2012 21:07:02 -0400

## gnome-shell-extensions 3.5.91

=== debian/changelog ===
gnome-shell-extensions (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/patches/01_update-version-numbers.patch:
    - Dropped

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Sep 2012 11:57:39 -0400

## gnome-shell-extensions 3.6.0

=== debian/changelog ===
gnome-shell-extensions (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1059152)
  * Drop debian/gnome-shell-extensions.gsettings-override:
    - We don't need to enable the alternative status menu
      extension by default

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Oct 2012 20:06:09 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional

## gnome-shell-extensions 3.8.2

=== debian/changelog ===
gnome-shell-extensions (3.8.2-1) experimental; urgency=low

  * Team upload

  [ Victor Seva ]
  * Recommends gnome-tweak-tool

  [ Jean Schurger ]
  * New upstream release 3.7.92 (LP: #1017979, #1059152).
  * Enabled new extensions.
  * Dropped 'dock' and 'gajim'.
  * Use ./configure instead of autoreconf.
  * Bumped Standards-Version to 3.9.4.
  * Updated Vcs-Svn.
  * debian/control.in
    - Added runtime dependency to 'gvfs' (>= 1.16.0).
      The 'Places' extension rely on a 'gvfs' linked to 'udisks2'.

  [ Simon McVittie ]
  * New upstream release 3.8.2.
  * Install the "classic mode"
  * Enable windowNavigator extension (this means we have everything except
    example and xrandr, the same as in the Ubuntu gnome3-team's PPA)

 -- Simon McVittie <smcv@debian.org>  Thu, 23 May 2013 09:07:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                cdbs,
                dh-autoreconf,
@@ -16,9 +16,9 @@
                intltool,
                libgnome-desktop-3-dev (>= 3.2.0),
                libgtop2-dev (>= 2.28.3)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://live.gnome.org/GnomeShell/Extensions
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/gnome-shell-extensions
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions
 
 Package: gnome-shell-extensions
@@ -26,7 +26,9 @@
 Depends: ${misc:Depends},
          gnome-shell (>= ${gnome:Version}),
          gnome-shell (<< ${gnome:NextVersion}),
-         gir1.2-gtop-2.0
+         gir1.2-gtop-2.0,
+         gvfs (>= 1.16.0)
+Recommends: gnome-tweak-tool (>= ${gnome:Version})
 Description: Extensions to extend functionality of GNOME Shell
  The GNOME Shell redefines user interactions with the GNOME desktop. In
  particular, it offers new paradigms for launching applications,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

EXTENSIONS_ENABLED="alternate-tab auto-move-windows workspace-indicator\
 alternative-status-menu native-window-placement user-theme\
 apps-menu drive-menu places-menu windowsNavigator systemMonitor\
 default-min-max launch-new-instance static-workspaces window-list\
 windowsNavigator"

EXTENSIONS_DISABLED="example xrandr-indicator"

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-extensions=$(EXTENSIONS_ENABLED) \
	--enable-classic-mode \
	$(NULL)

## gnome-shell-extensions 3.8.3.1

=== debian/changelog ===
gnome-shell-extensions (3.8.3.1-1ubuntu1) saucy; urgency=low

  * debian/patches/fix-ubuntu-sessions.patch
    - Set X-LightDM-DesktopName to GNOME for GNOME session (LP: #1212408)

 -- Tim Lunn <tim@feathertop.org>  Tue, 03 Sep 2013 12:23:33 +1000

gnome-shell-extensions (3.8.3.1-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
    - default-min-max and static-workspaces extensions have been dropped.
      Use Classic Mode or tweak org.gnome.shell.overrides in dconf-editor
  * debian/control.in:
    - Depend on gnome-session 3.8, required for the new Classic mode.
    - Update homepage
  * debian/patches/dont-require-nautilus-classic.patch:
    - Don't require nautilus-classic since it forces desktop icons
  * debian/patches/fix-applications-menu-resolution-change.patch:
    - Backport commit to not break applications menu when screen resolution
      changes
  * debian/patches/fix-hibernate.patch:
    - Backport patch to fix checking whether hibernate is allowed
  * debian/patches/look-in-data-home-for-themes.patch:
    - Backport commit to also look in XDG_DATA_HOME (usually ~/.local/share/)
      for user themes
  * debian/rules:
    - Run autoreconf

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Aug 2013 20:25:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                cdbs,
                dh-autoreconf,
@@ -17,7 +17,7 @@
                libgnome-desktop-3-dev (>= 3.2.0),
                libgtop2-dev (>= 2.28.3)
 Standards-Version: 3.9.4
-Homepage: http://live.gnome.org/GnomeShell/Extensions
+Homepage: https://wiki.gnome.org/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions
 
@@ -27,7 +27,8 @@
          gnome-shell (>= ${gnome:Version}),
          gnome-shell (<< ${gnome:NextVersion}),
          gir1.2-gtop-2.0,
-         gvfs (>= 1.16.0)
+         gvfs (>= 1.16.0),
+         gnome-session (>= 3.8)
 Recommends: gnome-tweak-tool (>= ${gnome:Version})
 Description: Extensions to extend functionality of GNOME Shell
  The GNOME Shell redefines user interactions with the GNOME desktop. In

## gnome-shell-extensions 3.8.4

=== debian/changelog ===
gnome-shell-extensions (3.8.4-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. (LP: #1259871) Remaining changes:
    - debian/patches/fix-ubuntu-sessions.patch:
      + Set X-LightDM-DesktopName to GNOME for GNOME session.

 -- Artur Rona <ari-tczew@tlen.pl>  Wed, 11 Dec 2013 10:21:23 +0100

gnome-shell-extensions (3.8.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 13 Oct 2013 18:11:33 +0200

gnome-shell-extensions (3.8.4-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * Dropped patches applied in new version:
    - fix-hibernate.patch
    - fix-applications-menu-resolution-change.patch
    - look-in-data-home-for-themes.patch

  [ Michael Biebl ]
  * Add a wrapper script to start the GNOME Classic session as currently
    Xsession doesn't allow to run gnome-session with custom arguments due to
    #653327.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Oct 2013 18:55:23 +0200

gnome-shell-extensions (3.8.4-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.
    - systemMonitor blocks the message tray menu properly
    - translation updates
  * Dropped patches applied in new version:
    - fix-hibernate.patch
    - fix-applications-menu-resolution-change.patch
    - look-in-data-home-for-themes.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 11 Sep 2013 16:40:53 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

EXTENSIONS_ENABLED="alternate-tab auto-move-windows workspace-indicator\
 alternative-status-menu native-window-placement user-theme\
 apps-menu drive-menu places-menu windowsNavigator systemMonitor\
 launch-new-instance window-list windowsNavigator"

EXTENSIONS_DISABLED="example xrandr-indicator"

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-extensions=$(EXTENSIONS_ENABLED) \
	--enable-classic-mode

binary-install/gnome-shell-extensions::
	install -m 755 -D debian/local/gnome-session-classic \
		debian/$(cdbs_curpkg)/usr/bin/gnome-session-classic

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-shell-extensions/([\d\.]+)/gnome-shell-extensions-([\d\.]+)\.tar\.xz

## gnome-shell-extensions 3.10.1

=== debian/changelog ===
gnome-shell-extensions (3.10.1-0ubuntu2) trusty; urgency=medium

  * debian/patches/git-remove-e4x.patch: Remove e4x from places
    menu as required for js24 (LP: #1291000)

 -- Tim Lunn <tim@feathertop.org>  Thu, 13 Mar 2014 08:01:26 +1100

gnome-shell-extensions (3.10.1-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1269916)
  * debian/rules: remove alternative-status-menu and xrandr extensions,
    these have been removed upstream
  * debian/gnome-shell-extensions.gsettings-override: removed, no longer useful
  * debian/watch: watch for stable versions

 -- Tim Lunn <tim@feathertop.org>  Sun, 29 Dec 2013 14:42:51 +1100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                cdbs,
                dh-autoreconf,

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 EXTENSIONS_ENABLED="alternate-tab auto-move-windows workspace-indicator\
- alternative-status-menu native-window-placement user-theme\
+ native-window-placement user-theme\
  apps-menu drive-menu places-menu windowsNavigator systemMonitor\
  launch-new-instance window-list windowsNavigator"
 
-EXTENSIONS_DISABLED="example xrandr-indicator"
+EXTENSIONS_DISABLED="example"
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-extensions=$(EXTENSIONS_ENABLED) \

## gnome-shell-extensions 3.12.2

=== debian/changelog ===
gnome-shell-extensions (3.12.2-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-ubuntu-sessions.patch:
      + Set X-LightDM-DesktopName to GNOME for GNOME session.
    - debian/gnome-shell-extensions.gsettings-override:
      + Removed, no longer useful.
    - debian/watch:
      + Watch for stable versions.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 23 Aug 2014 01:22:46 +0200

gnome-shell-extensions (3.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 00:06:09 +0200

gnome-shell-extensions (3.12.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix-ubuntu-sessions.patch:
      + Set X-LightDM-DesktopName to GNOME for GNOME session.
    - debian/gnome-shell-extensions.gsettings-override: removed, no longer useful
    - debian/watch: watch for stable versions
  * Droped changes:
    - debian/patches/git-remove-e4x.patch. Fixed upstream
    - debian/rules: remove alternative-status-menu and xrandr extensions
      Fixed in debian

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 09 Jun 2014 08:31:24 +1000

gnome-shell-extensions (3.12.0-1) experimental; urgency=low

  [ Jean Schurger ]
  * New upstream release (3.10.1)
  * debian/rules: remove one of the 'windowsNavigator' extension listed twice
    and the 'alternative-system-menu' extension (does not exists anymore)
  * debian/copyright: Update 'Format:' line

  [ Andreas Henriksson ]
  * New upstream release (3.12.0)
  * debian/local/gnome-session-classic,
    debian/patches/gnome-session-classic-wrapper-script.patch:
    - update script to include new GNOME_SHELL_SESSION_MODE env variable
      and update patch to apply again.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 04 Apr 2014 21:43:18 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                intltool,
                libgnome-desktop-3-dev (>= 3.2.0),
                libgtop2-dev (>= 2.28.3)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://wiki.gnome.org/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,10 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 EXTENSIONS_ENABLED="alternate-tab auto-move-windows workspace-indicator\
- native-window-placement user-theme\
- apps-menu drive-menu places-menu windowsNavigator systemMonitor\
- launch-new-instance window-list windowsNavigator"
+ native-window-placement user-theme apps-menu drive-menu places-menu\
+ windowsNavigator systemMonitor launch-new-instance window-list"
 
-EXTENSIONS_DISABLED="example"
+EXTENSIONS_DISABLED="example xrandr-indicator"
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-extensions=$(EXTENSIONS_ENABLED) \

## gnome-shell-extensions 3.14.1

=== debian/changelog ===
gnome-shell-extensions (3.14.1-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-ubuntu-sessions.patch:
      + Set X-LightDM-DesktopName to GNOME for GNOME session.
    - debian/gnome-shell-extensions.gsettings-override:
      + Removed, no longer useful.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 29 Oct 2014 00:21:20 +0100

gnome-shell-extensions (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)
  * Add missing dependencies against gir packages, including gir1.2-gmenu-3.0,
    this should fix the apps-menu extension for some people (Closes: #765460).

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Oct 2014 21:17:58 +0200

gnome-shell-extensions (3.14.0-2) unstable; urgency=medium

  * Drop xrandr from EXTENSIONS_DISABLED, this extension was removed
    upstream.
  * Add new screenshot-window-sizer extension to EXTENSIONS_ENABLED.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Sep 2014 01:15:32 +0200

gnome-shell-extensions (3.14.0-1) unstable; urgency=medium

  * debian/watch: only scan for stable releases.
  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 15:46:30 +0200

gnome-shell-extensions (3.13.91-1) experimental; urgency=medium

  * New upstream development release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 11:16:39 -0700

## gnome-shell-extensions 3.14.2

=== debian/changelog ===
gnome-shell-extensions (3.14.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * menu-arrows-icons: new patch. Make arrows consistent with the rest 
    of the shell.
  * apps-center-labels.patch: patch from upstream git. Center labels 
    vertically in the applications menu.
  * window-list-pointerInNotification.patch: patch from upstream git. 
    Update window-list extension for an older shell API change.

 -- Josselin Mouette <joss@debian.org>  Sun, 30 Nov 2014 16:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                cdbs,
                dh-autoreconf,
@@ -16,7 +15,7 @@
                intltool,
                libgnome-desktop-3-dev (>= 3.2.0),
                libgtop2-dev (>= 2.28.3)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions
@@ -26,7 +25,15 @@
 Depends: ${misc:Depends},
          gnome-shell (>= ${gnome:Version}),
          gnome-shell (<< ${gnome:NextVersion}),
+         gir1.2-atk-1.0,
+         gir1.2-clutter-1.0,
+         gir1.2-gdkpixbuf-2.0,
+         gir1.2-glib-2.0,
+         gir1.2-gmenu-3.0,
+         gir1.2-gtk-3.0,
          gir1.2-gtop-2.0,
+         gir1.2-mutter-3.0,
+         gir1.2-pango-1.0,
          gvfs (>= 1.16.0),
          gnome-session (>= 3.8)
 Recommends: gnome-tweak-tool (>= ${gnome:Version})

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,10 @@
 
 EXTENSIONS_ENABLED="alternate-tab auto-move-windows workspace-indicator\
  native-window-placement user-theme apps-menu drive-menu places-menu\
- windowsNavigator systemMonitor launch-new-instance window-list"
+ windowsNavigator systemMonitor launch-new-instance window-list\
+ screenshot-window-sizer"
 
-EXTENSIONS_DISABLED="example xrandr-indicator"
+EXTENSIONS_DISABLED="example"
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-extensions=$(EXTENSIONS_ENABLED) \

## gnome-shell-extensions 3.14.3

=== debian/changelog ===
gnome-shell-extensions (3.14.3-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1399047)

 -- Tim Lunn <tim@feathertop.org>  Thu, 25 Dec 2014 08:11:50 +1100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                cdbs,
                dh-autoreconf,

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-shell-extensions/([\d\.]+[02468])/gnome-shell-extensions-([\d\.]+)\.tar\.xz

## gnome-shell-extensions 3.16.1

=== debian/changelog ===
gnome-shell-extensions (3.16.1-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Drop libgtop BD since the systemMonitor extension was removed.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 05 Jun 2015 16:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
                gnome-common,
                gnome-pkg-tools,
                intltool,
-               libgnome-desktop-3-dev (>= 3.2.0),
-               libgtop2-dev (>= 2.28.3)
+               libgnome-desktop-3-dev (>= 3.2.0)
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 EXTENSIONS_ENABLED="alternate-tab auto-move-windows workspace-indicator\
  native-window-placement user-theme apps-menu drive-menu places-menu\
- windowsNavigator systemMonitor launch-new-instance window-list\
+ windowsNavigator launch-new-instance window-list\
  screenshot-window-sizer"
 
 EXTENSIONS_DISABLED="example"

## gnome-shell-extensions 3.16.2

=== debian/changelog ===
gnome-shell-extensions (3.16.2-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-ubuntu-sessions.patch:
      + Set X-LightDM-DesktopName to GNOME for GNOME session.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 04 Jul 2015 15:32:43 +1000

gnome-shell-extensions (3.16.2-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * debian/gnome-shell-extensions.gsettings-override:
    + Dropped, no longer needed as the enabled extension no longer exists.
      Thanks Artur Rona for noticing. (Closes: #782747)

  [ Michael Biebl ]
  * New upstream release.
  * Update Homepage.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Jul 2015 19:13:32 +0200

gnome-shell-extensions (3.16.1-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-ubuntu-sessions.patch:
      + Set X-LightDM-DesktopName to GNOME for GNOME session.
    - debian/gnome-shell-extensions.gsettings-override:
      + Removed, no longer useful.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 28 Jun 2015 14:05:56 +0200

gnome-shell-extensions (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in,
    debian/rules:
    + The system monitor extension was removed. Drop the libgtop
      build and runtime dependencies and stop enabling it.
  * debian/patches/apps-center-labels.patch,
    debian/patches/window-list-pointerInNotification.patch,
    debian/patches/menu-arrows-icons.patch:
    + Dropped, merged upstream.
  * debian/patches/dont-require-nautilus-classic.patch:
    + Updated for the new version.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 14 Jun 2015 15:23:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 9),
                cdbs,
                dh-autoreconf,
                gnome-common,
@@ -16,7 +16,7 @@
                intltool,
                libgnome-desktop-3-dev (>= 3.2.0)
 Standards-Version: 3.9.6
-Homepage: https://wiki.gnome.org/GnomeShell/Extensions
+Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions
 
@@ -31,7 +31,6 @@
          gir1.2-glib-2.0,
          gir1.2-gmenu-3.0,
          gir1.2-gtk-3.0,
-         gir1.2-gtop-2.0,
          gir1.2-mutter-3.0,
          gir1.2-pango-1.0,
          gvfs (>= 1.16.0),

## gnome-shell-extensions 3.18.1

=== debian/changelog ===
gnome-shell-extensions (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Oct 2015 22:09:01 +0200

gnome-shell-extensions (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 11 Oct 2015 16:29:18 +0200

gnome-shell-extensions (3.17.92-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 17:28:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,19 @@
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs,
                dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
                intltool,
-               libgnome-desktop-3-dev (>= 3.2.0)
+               libgnome-desktop-3-dev (>= 3.2.0),
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions
 
 Package: gnome-shell-extensions
 Architecture: all

## gnome-shell-extensions 3.18.2

=== debian/changelog ===
gnome-shell-extensions (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Nov 2015 00:04:09 +0100

## gnome-shell-extensions 3.18.3

=== debian/changelog ===
gnome-shell-extensions (3.18.3-2) unstable; urgency=medium

  * Add Breaks/Replaces gnome-shell-common (<< 3.18) (Closes: #808906)
    - Helps upgrades from Jessie by allowing overwriting
      /usr/share/gnome-shell/theme/calendar-today.svg et.al.
      which was previously shipped in gnome-shell-common.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 10 Feb 2016 01:24:42 +0100

gnome-shell-extensions (3.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Jan 2016 22:49:16 +0100

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,8 @@
          gvfs (>= 1.16.0),
          gnome-session (>= 3.8)
 Recommends: gnome-tweak-tool (>= ${gnome:Version})
+Replaces: gnome-shell-common (<< 3.18)
+Breaks: gnome-shell-common (<< 3.18)
 Description: Extensions to extend functionality of GNOME Shell
  The GNOME Shell redefines user interactions with the GNOME desktop. In
  particular, it offers new paradigms for launching applications,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 EXTENSIONS_ENABLED="alternate-tab auto-move-windows workspace-indicator\
  native-window-placement user-theme apps-menu drive-menu places-menu\

## gnome-shell-extensions 3.20.0

=== debian/changelog ===
gnome-shell-extensions (3.20.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 00:25:25 +0200

gnome-shell-extensions (3.20.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Mar 2016 10:48:00 +0100

gnome-shell-extensions (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Update dont-require-nautilus-classic.patch to apply.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Mar 2016 12:51:13 +0100

gnome-shell-extensions (3.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2016 22:38:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs,
                dh-autoreconf,
@@ -14,7 +14,7 @@
                gnome-pkg-tools,
                intltool,
                libgnome-desktop-3-dev (>= 3.2.0),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions

## gnome-shell-extensions 3.20.1

=== debian/changelog ===
gnome-shell-extensions (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 15:21:35 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gnome-pkg-tools,
                intltool,
                libgnome-desktop-3-dev (>= 3.2.0),
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions

## gnome-shell-extensions 3.21.91

=== debian/changelog ===
gnome-shell-extensions (3.21.91-1) unstable; urgency=medium

  * New upstream beta release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 19:57:32 +0200

gnome-shell-extensions (3.21.90-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - drop intltool, now gettext is used instead.

  [ Jeremy Bicha ]
  * Convert from cdbs to dh
  * Add debian/docs to install NEWS and README
  * Bump dh compat to 10
  * Update Vcs fields
  * Refresh patches

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Aug 2016 05:36:17 +0200

gnome-shell-extensions (3.21.4-1) experimental; urgency=medium

  * New upstream development release.
  * Stop hard-coding Victor Seva in the Uploaders field

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Aug 2016 16:28:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,15 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>, Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               cdbs,
-               dh-autoreconf,
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 9.20160403~),
                gnome-common,
                gnome-pkg-tools,
-               intltool,
                libgnome-desktop-3-dev (>= 3.2.0),
 Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extensions
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extensions
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-shell-extensions
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-shell-extensions
 
 Package: gnome-shell-extensions
 Architecture: all

## gnome-shell-extensions 3.22.1

=== debian/changelog ===
gnome-shell-extensions (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 17:58:31 +0200

gnome-shell-extensions (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 01:59:50 +0200

gnome-shell-extensions (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Replace Build-Depends gnome-common with pkg-config and gettext.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 22:13:19 +0200
